package com.qmth.teachcloud.mark.bean.answerbatch;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

import com.qmth.teachcloud.mark.bean.ArrayResult;
import com.qmth.teachcloud.mark.bean.BoolResult;

public class AnswerPage {

    @NotNull(message = "paper.page.index不能为空")
    @Min(value = 1, message = "paper.page.index不能小于1")
    private Integer index;

    @NotBlank(message = "paper.page.sheetUri不能为空")
    private String sheetUri;

    private BoolResult absent;

    private BoolResult breach;

    private ArrayResult question;

    private String recogData;

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public BoolResult getAbsent() {
        return absent;
    }

    public void setAbsent(BoolResult absent) {
        this.absent = absent;
    }

    public BoolResult getBreach() {
        return breach;
    }

    public void setBreach(BoolResult breach) {
        this.breach = breach;
    }


    public ArrayResult getQuestion() {
        return question;
    }

    public void setQuestion(ArrayResult question) {
        this.question = question;
    }


    public String getSheetUri() {
        return sheetUri;
    }

    public void setSheetUri(String sheetUri) {
        this.sheetUri = sheetUri;
    }

    public String getRecogData() {
        return recogData;
    }

    public void setRecogData(String recogData) {
        this.recogData = recogData;
    }

}
